# Faker Extension for Yii 2

This extension provides a `Faker` fixture command for the Yii framework 2.0.

For license information check the LICENSE-file.

Documentation is at docs/guide/README.md.

## Installation ¶

The preferred way to install this extension is through composer.

Either run

    php composer.phar require --prefer-dist yiisoft/yii2-faker

or add

    "yiisoft/yii2-faker": "~2.0.0"

to the require section of your composer.json.

## Usage ¶

To use this extension, simply add the following code in your application configuration (console.php):

    'controllerMap' => [
        'fixture' => [
            'class' => 'yii\faker\FixtureController',
        ],
    ],

# Class Reference

Class | Description
--- | ---
yii\faker\FixtureController | This command creates fixtures based on a given template.